package com.viettel.campaign.repository.acd_full;

import com.viettel.campaign.config.DataSourceQualify;
import com.viettel.campaign.model.acd_full.Agents;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

@Repository
public interface AgentsRepository extends JpaRepository<Agents, String> {

    @Transactional(DataSourceQualify.ACD_FULL)
    Agents findByAgentId(String agentId);
}
